%global debug_package %{nil}
%define shortname portfolio

Name:    portfolio-performance
Version: 0.76.3
Release: 1%{?dist}
Summary: Portfolio Performance is a simple tool to calculate the performance of an investment portfolio 

License: EPL-1.0
URL: http://www.portfolio-performance.info
Source0:	https://github.com/buchen/portfolio/archive/%{version}.tar.gz

BuildRequires:  maven
BuildRequires:  binutils
BuildRequires:  coreutils
BuildRequires:  diffutils
BuildRequires:  findutils
BuildRequires:  grep
BuildRequires:  gzip
BuildRequires:  java-21-openjdk-devel
BuildRequires:  java-21-openjdk-headless
BuildRequires:  javapackages-tools
BuildRequires:  python3
BuildRequires:  sed
BuildRequires:  tar
BuildRequires:  which
Requires: 	java-21-openjdk

%description
A simple tool to calculate the overall performance of an investment portfolio.

%prep
%autosetup -n portfolio-%{version}

%build
sed -i 's/name="Portfolio Performance"/name="Portfolio-Performance"/' name.abuchen.portfolio.bootstrap/plugin.xml
sed -i 's/name="Portfolio Performance"/name="Portfolio-Performance"/' portfolio-product/name.abuchen.portfolio.product
# cd portfolio-app
# mvn clean install -Dgenerate-target-platform=true -Dtycho.disableP2Mirrors -DskipTests
# mvn clean install -Dgenerate-target-platform=true -DskipTests
export MAVEN_OPTS="-Xmx4g"
mvn -f portfolio-app/pom.xml clean verify -Dtycho.disableP2Mirrors -DskipTests

cd portfolio-product/target/products/name.abuchen.portfolio.product/linux/gtk/x86_64/portfolio
# remove need for gtk2 (so allow using gtk3)
sed -i '/^--launcher.GTK_version\|^2/d' PortfolioPerformance.ini

# remove in-app auto-update
echo "osgi.clean=true" >> configuration/config.ini
echo "name.abuchen.portfolio.in-app-update=disable" >> configuration/config.ini

# Remove files that sound like they throw build-errors
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/linux-arm
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/linux-armel
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/linux-aarch64
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/linux-ppc
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/linux-ppc64le
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/linux-loongarch64
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/linux-s390x
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/linux-riscv64
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/sunos-x86
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/sunos-x86-64
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/linux-mips64el

rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/sunos-sparc
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/sunos-sparcv9

rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/linux-x86
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/linux-x86-64

rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/freebsd-x86
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/freebsd-x86-64

rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/dragonflybsd-x86-64
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/freebsd-aarch64
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/openbsd-x86-64
rm -vr plugins/com.sun.jna_5.15.0.v20240915-2000/com/sun/jna/openbsd-x86

%install
mkdir -p %{buildroot}/opt/%{name}/
cp -rp %{_builddir}/portfolio-%{version}/portfolio-product/target/products/name.abuchen.portfolio.product/linux/gtk/x86_64/portfolio/* %{buildroot}/opt/%{name}/

mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/16x16/apps/
cp %{_builddir}/portfolio-%{version}/name.abuchen.portfolio.ui/icons/pp_16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{shortname}.png

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
cp %{_builddir}/portfolio-%{version}/name.abuchen.portfolio.ui/icons/pp_32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{shortname}.png

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
cp %{_builddir}/portfolio-%{version}/name.abuchen.portfolio.ui/icons/pp_48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{shortname}.png

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
cp %{_builddir}/portfolio-%{version}/name.abuchen.portfolio.ui/icons/pp_128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{shortname}.png

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/
cp %{_builddir}/portfolio-%{version}/name.abuchen.portfolio.ui/icons/pp_256.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{shortname}.png

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/512x512/apps/
cp %{_builddir}/portfolio-%{version}/name.abuchen.portfolio.ui/icons/pp_512.png %{buildroot}%{_datadir}/icons/hicolor/512x512/apps/%{shortname}.png

mkdir -p %{buildroot}%{_datadir}/applications
echo "[Desktop Entry]" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Name=Portfolio Performance" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Name[de]=Portfolio Performance" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Comment=Calculate the overall performance of an investment portfolio" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Comment[de]=Berechnung der Performance eines Gesamtportfolios" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Version=1.0" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Categories=Office;Finance;" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "StartupNotify=true" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Encoding=UTF-8" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Path=/opt/%{name}/" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Exec=/opt/%{name}/PortfolioPerformance" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Icon=%{shortname}" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Type=Application" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Keywords=portfolio;bank;performance;" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop
echo "Keywords[de]=portfolio;bank;performance;" >> %{buildroot}%{_datadir}/applications/Portfolio-Performance.desktop

mkdir -p %{buildroot}%{_datadir}/metainfo
echo '<?xml version="1.0" encoding="UTF-8"?>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '<!-- Copyright 2013 Lennart Reuther <Lennart_Reuther@web.de> -->' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '<component type="desktop-application">' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo " <id>Portfolio-Performance</id>" >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo " <icon type='stock'>%{shortname}</icon>" >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo ' <pkgname>portfolio-performance</pkgname>'>> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo " <update_contact>packager@portfolioperformance.info</update_contact>" >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo " <metadata_license>CC-BY-SA-3.0</metadata_license>" >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo " <project_license>EPL-1.0</project_license>" >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo " <name>Portfolio Performance</name>" >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo " <name xml:lang=\"de\">Portfolio Performance</name>" >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo " <summary>%{summary}</summary>" >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo " <summary xml:lang=\"de\">Ein Open Source Programm zur Berechnung der Performance eines Gesamtportfolios</summary>"  >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo "   <description><p>Portfolio Performance is an Open Source software to calculate the overall performance of a portfolio - spanning several accounts and using True-Time Weighted Rate of Return and internal interest.</p></description>" >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo "   <description xml:lang=\"de\"><p>Portfolio Performance ist ein Open Source Programm zur Berechnung der Performance eines Gesamtportfolios - ueber verschiedene Depots und Konten hinweg - anhand von True-Time Weighted Rate of Return und internem Zinsfuss.</p></description>" >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '   <keywords><keyword xml:lang="de">bank</keyword><keyword xml:lang="de">performance</keyword><keyword xml:lang="de">portfolio</keyword></keywords>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo "   <url type=\"homepage\">%{url}/</url>" >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '     <screenshots>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '       <screenshot type="default"><image width="638" height="678">https://forum.portfolio-performance.info/uploads/default/original/1X/53cd07930831aefba81c7159eb9021a1669c37ac.png</image>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '       </screenshot>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '       <screenshot>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '        <image width="880" height="358">https://forum.portfolio-performance.info/uploads/default/original/1X/f01877cd207e39ed3b71ec2960681981f923ecf3.png</image>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '       </screenshot>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '       <screenshot>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '        <image width="1272" height="617">https://forum.portfolio-performance.info/uploads/default/original/1X/cee8b832112177106847d739347605e574d5b7f5.png</image>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '       </screenshot>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '     </screenshots>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '   <translation/>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '   <launchable type="desktop-id">Portfolio-Performance.desktop</launchable>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '   <developer_name>Andreas Buchen</developer_name>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '   <url type="bugtracker">https://github.com/buchen/portfolio/issues/</url>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '  <url type="help">https://forum.portfolio-performance.info//</url>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml
echo '</component>' >> %{buildroot}%{_datadir}/metainfo/%{shortname}.appdata.xml


%files
/opt/%{name}
%{_datadir}/icons/hicolor/16x16/apps/%{shortname}.png
%{_datadir}/icons/hicolor/32x32/apps/%{shortname}.png
%{_datadir}/icons/hicolor/48x48/apps/%{shortname}.png
%{_datadir}/icons/hicolor/128x128/apps/%{shortname}.png
%{_datadir}/icons/hicolor/256x256/apps/%{shortname}.png
%{_datadir}/icons/hicolor/512x512/apps/%{shortname}.png
%{_datadir}/applications/*
%{_datadir}/metainfo/%{shortname}.appdata.xml

%changelog

* Mon Dec 30 2024 lennart_reuther@web.de - 0.73.1
- update to eclipse 2024-12

* Wed May 01 2024 lennart_reuther@web.de - 0.68.4
- condition for F40 to use explicit jdk17 maven

* Sun Oct 15 2023 lennart_reuther@web.de - 0.65.4
- remove files of eclipse, that make build break

* Sun Feb 05 2023 lennart_reuther@web.de - 0.61.0
- update java to v.17

* Wed Jan 13 2021 lennart_reuther@web.de - 0.50.2
- update java to v.11

* Wed Dec 19 2018 lennart_reuther@web.de - 0.36.1
- update to v .0.36.1

* Mon Dec 17 2018 lennart_reuther@web.de - 0.36.0
- update to v .0.36.0

* Sat Oct 27 2018 lennart_reuther@web.de - 0.35.1
- update to v .0.35.1

* Mon Oct 15 2018 lennart_reuther@web.de - 0.35.0
- update to v .0.35.0

* Sat Jul 14 2018 lennart_reuther@web.de - 0.33.1
- update to v .0.33.1

* Sat May 12 2018 lennart_reuther@web.de - 0.31.1-webkitgtk2
- update to v. 0.31.1 using webkitgtk2

* Sat Apr 28 2018 lennart_reuther@web.de - 0.30.1-1
- update to v. 0.30.1-1

* Sat Mar 10 2018 lennart_reuther@web.de - 0.29.0-1
- corrected mvn command disabling mirror usage

* Thu Dec 21 2017 lennart_reuther@web.de - 0.28.4-3
- moved app-data file to metainfo directory

* Sun Dec 17 2017 lennart_reuther@web.de - 0.28.4-6
- renamed package to have a name short enough for gnome-software. removed gtk2 binding.

* Tue Dec 12 2017 lennart_reuther@web.de - 0.28.4-1
- added appdata.xml for correct listing in gnome software center.

* Sun Dec 10 2017  - 0.28.4-1
- initial draft


